#include <bits/stdc++.h>
using namespace std;
int a[1000005];
int n,maks=0,p;
int main(){
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i];
        if(a[i]>maks){
            maks=a[i];
            p=i;
        }
    }
    if(maks!=a[1]){
       a[p]=a[1];
       a[1]=maks;
       for(int i=1;i<=n;i++){
        cout<<a[i];
       }
    }
    else if(maks==a[1] and n==2){
        cout<<a[2]<<a[1];
        return 0;
    }


    return 0;
}